local appName = "|CWES:|r ";
local CWESFrame = CreateFrame("FRAME") CWESFrame:Hide()

local _debug = false -- Enable to Display debug messages.
function errTxt(msg)
	if ( _debug == true ) then
		print(appName.. " _DEBUG : "..msg);
	end
end

function CWESFrame:ADDON_LOADED(arg1)
	if arg1 ~= "CWES" then
                return
	end
		self:UnregisterEvent("ADDON_LOADED")
		print(appName.. "Loaded");
	
end

function CWESFrame:UNIT_SPELLCAST_SUCCEEDED(unitID, spell, rank, lineID, spellID)
	if unitID == "player" then
		errTxt("Spell cast Succeeded by ".. unitID);
		
		-- Begin Fury Warrior PVP Execute Replacement
				if spellID == 217956 then -- Execute
					errTxt("Execute Detected");
					PlaySoundFile("Interface\\Addons\\CWES\\Sounds\\FireShield.ogg", "SFX")
					errTxt("Sound Played");
				end
	-- End Fury Warrior PVP Execute Replacement

-- Begin Arms Warrior PVP Execute Replacement
				if spellID == 217955 then -- Execute
					errTxt("Execute Detected");
					PlaySoundFile("Interface\\Addons\\CWES\\Sounds\\FireShield.ogg", "SFX")
					errTxt("Sound Played");
				end
	-- End Arms Warrior PVP Execute Replacement

			-- Begin Fury Warrior Execute Replacement
				if spellID == 5308 then -- Execute
					errTxt("Execute Detected");
					PlaySoundFile("Interface\\Addons\\CWES\\Sounds\\FireShield.ogg", "SFX")
					errTxt("Sound Played");
				end
	-- End Fury Warrior Execute Replacement

-- Begin Arms Warrior Execute Replacement
				if spellID == 163201 then -- Execute
					errTxt("Execute Detected");
					PlaySoundFile("Interface\\Addons\\CWES\\Sounds\\FireShield.ogg", "SFX")
					errTxt("Sound Played");
				end
	-- End Arms Warrior Execute Replacement

	
	
	end
end		
CWESFrame:SetScript("OnEvent", function(self, event, ...) return self[event](self, ...) end)
CWESFrame:RegisterEvent("ADDON_LOADED")
CWESFrame:RegisterEvent("UNIT_SPELLCAST_SUCCEEDED")
CWESFrame:RegisterEvent("PLAYER_DEAD")
